WHM / cPanel Lets Encrypt Plugin Issues


#1

I have setup several accounts to run AutoSSL using the official lets encrypt plugin for WHM / CPanel

There is a select account i keep getting the following error on:

load_perl_module cannot load ‘Cpanel::Exception::ACME::Protocol’: Can’t locate Cpanel/Exception/ACME/Protocol.pm in @INC (you may need to install the Cpanel::Exception::ACME::Protocol module) (@INC contains: /usr/local/cpanel /usr/local/cpanel/3rdparty/perl/526/lib64/perl5/cpanel_lib/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/526/lib64/perl5/cpanel_lib /usr/local/cpanel/3rdparty/perl/526/lib64/perl5/5.26.0/x86_64-linux-64int /usr/local/cpanel/3rdparty/perl/526/lib64/perl5/5.26.0 /opt/cpanel/perl5/526/site_lib/x86_64-linux-64int /opt/cpanel/perl5/526/site_lib) at (eval 59) line 1. BEGIN failed–compilation aborted at (eval 59) line 1.

The domains A records are pointing to the server as the website is accessible.

The .well-known folder is accessible as I can access a test.txt file in there

Any help would be appreciated!


#2

Hi,

This doesn’t seems to be related to Let’s Encrypt itself, rather for AutoSSL or FleetSSL…(ACME Clients)

What’s the plugin name in question?

and do you have the administrative right on the server?

Thank you


#3

If you run the cPanel server, you should just contact cPanel support. They will be able to repair it for you. Otherwise, talk to your host.


#4

It is the official lets encrypt plugin for whm/cpanel. I have full rights on the server.


#5

Hi,

I believe there’s no Official Let’s Encrypt Plugin, Do you mean “AutoSSL” ?

Please contact cPanel Support reguard this matter.

Thank you


#6

Okay thanks for your replies. Will do!


#7

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.